Index: fluid/code.cxx
===================================================================
--- fluid/code.cxx	(revision 12122)
+++ fluid/code.cxx	(working copy)
@@ -161,7 +161,7 @@
   int linelength = 1;
   putc('\"', code_file);
   for (; p < e;) {
-    int c = *p++;
+    int c = (*p++) & 255;
     switch (c) {
     case '\b': c = 'b'; goto QUOTED;
     case '\t': c = 't'; goto QUOTED;
@@ -181,9 +181,10 @@
       if (p-2 >= s && *(p-2) == '?') goto QUOTED;
       // else fall through:
     default:
-      if (c >= ' ' && c < 127) {
-	// a legal ASCII character
-	if (linelength >= 78) {fputs("\\\n",code_file); linelength = 0;}
+      if (c >= ' ' && c != 127) {
+	// a legal ASCII character or part of a UTF-8 character sequence
+	// DON'T limit line length to avoid breaking lines inside UTF-8 char's
+	// ***** if (linelength >= 78) {fputs("\\\n",code_file); linelength = 0;}
 	putc(c, code_file);
 	linelength++;
 	break;
